User account creation filtered due to spam.

Bug 7375 - GCC 3.2 crash while compiling XFree86 4.02
Summary: GCC 3.2 crash while compiling XFree86 4.02
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: c (show other bugs)
Version: 3.2
: P2 critical
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-07-22 09:26 UTC by dan
Modified: 2003-07-25 17:33 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments
miPck1Prim.i (31.00 KB, text/x-c)
2003-05-21 15:16 UTC, dan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dan 2002-07-22 09:26:02 UTC
gcc crashes while compiling XFree86 4.02 on FreeBSD 4.6-RELEASE with -march=athlon -O2 -malign-double. -O3 is also failing.

rm -f miPck1Prim.o
LD_LIBRARY_PATH=../../../../../../exports/lib cc -pipe -fomit-frame-pointer -O2 -malign-double -march=athlon   -ansi -pedantic -Dasm=__asm -Wall -Wpointer-arith   -fno-merge-constants -I. 	-I../include 	-I../../../../../../exports/include/X11 	-I../../../include 	-I../../../../../../programs/Xserver/include  -I../../../../../.. -I../../../../../../exports/include   -DCSRG_BASED -DSHAPE -DXINPUT -DXKB -DLBX -DXAPPGROUP -DXCSECURITY -DTOGCUP  -DXF86BIGFONT -DDPMSExtension   -DPANORAMIX  -DRENDER  -DGCCUSESGAS -DAVOID_GLYPHBLT -DPIXPRIV -DSINGLEDEPTH -DXFreeXDGA -DXvExtension -DXFree86LOADER  -DXFree86Server -DXF86VIDMODE -DXvMCExtension  -DSMART_SCHEDULE -DBUILDDEBUG -DX_BYTE_ORDER=X_LITTLE_ENDIAN -DNDEBUG  -DFUNCPROTO=15 -DNARROWPROTO  -DIN_MODULE -DXFree86Module    -c miPck1Prim.c
miPck1Prim.c: In function `CheckFAreaPick1':
miPck1Prim.c:337: Internal compiler error in ix86_secondary_memory_needed, at config/i386/i386.c:12827
Please submit a full bug report,

Release:
3.2 20020518

Environment:
This is FreeBSD 4.6-RELEASE.

How-To-Repeat:
Compile xc/programs/Xserver/PEX5/ddpex/mi/level1/miPck1Prim.c
with -O2 -fomit-frame-pointer -malign-double -march=athlon
Comment 1 dan 2002-07-22 09:26:02 UTC
Fix:
Compiles without -O2 -march=athlon -malign-double -fomit-frame-pointer.
Comment 2 Jan Hubicka 2002-10-10 11:34:39 UTC
State-Changed-From-To: open->closed
State-Changed-Why: hubicka@kampanus:/aux/hubicka/3.2/egcs/build/gcc$ ./xgcc -B ./ -O2 -fomit-frame-pointer -malign-double -march=athlon ~/miPck1Prim.i  -c
    hubicka@kampanus:/aux/hubicka/3.2/egcs/build/gcc$